Bug 1022690 - Review Request: gela-asis - Platform/compiler independent implementation of AdaSemantic Interface specification.
Review Request: gela-asis - Platform/compiler independent implementation of A...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Siddharth Sharma
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-23 15:25 EDT by Pavel Zhukov
Modified: 2014-06-18 03:22 EDT (History)
6 users (show)

See Also:
Fixed In Version: gela-asis-0.3.2-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-25 04:20:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
siddharth.kde: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pavel Zhukov 2013-10-23 15:25:17 EDT
Spec URL: http://landgraf.fedorapeople.org/packages/gela-asis/gela-asis.spec
SRPM URL: http://landgraf.fedorapeople.org/packages/gela-asis/gela-asis-0.3-3.fc19.src.rpm
Description: Platform/compiler independent implementation of Ada Semantic Interface Specification. ASIS itself is hard to package and maintain because of Fedora uses FSF gcc. 
Fedora Account System Username: landgraf

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=6091825
Comment 3 Siddharth Sharma 2013-11-23 10:56:25 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Development (unversioned) .so files in -devel subpackage, if present.
  Note: Unversioned so-files directly in %_libdir.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages
- ldconfig called in %post and %postun if required.
  Note: /sbin/ldconfig not called in gela-asis-devel
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Shared_Libraries


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
     gela-asis-0.3.1-1.fc20.x86_64.rpm/usr/lib64/gela-asis/libgela-asis.so: ELF 64-bit LSB shared object, x86-64, version 1 (SYSV), dynamically linked, BuildID[sha1]=a58ae75e85c6ab7f3939d2fdb642772f1808b324, stripped
     gela-asis-devel-0.3.1-1.fc20.x86_64.rpm/usr/lib64/gela-asis/libgela-asis.so.0.3.1: ELF 64-bit LSB shared object, x86-64, version 1 (SYSV), dynamically linked, BuildID[sha1]=a58ae75e85c6ab7f3939d2fdb642772f1808b324, not stripped 
     
[x]: Rpath absent or only used for internal libs.
     Note: See rpmlint output
     gela-asis.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gela-asis/libgela-asis.so ['/usr/lib/gcc/x86_64-redhat-linux/4.8.2/adalib/', '/usr/lib']
     gela-asis-devel.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gela-asis/libgela-asis.so.0.3.1 ['/usr/lib/gcc/x86_64-redhat-linux/4.8.2/adalib/', '/usr/lib']

[x]: Package does not contain any libtool archives (.la)

Generic:

[!]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
     
     http://en.wikipedia.org/wiki/BSD_licenses
     
     From the source it seems 2-clause license ("Simplified BSD License" or "FreeBSD License")
     but license it self does not contain following :
     
     "The views and conclusions contained in the software and documentation are those
     of the authors and should not be interpreted as representing official policies, 
     either expressed or implied, of the FreeBSD Project."
     
     It does not state "4-clause license (original "BSD License)" or
     3-clause license ("Revised BSD License", "New BSD License", or "Modified BSD License")
     
     -------------------------
     COPYING file contains
     
-------------------------------------------------------------------------------
--  Copyright (c) 2006, Maxim Reznik
--  All rights reserved.
--
--  Redistribution and use in source and binary forms, with or without
--  modification, are permitted provided that the following conditions are met:
--
--     * Redistributions of source code must retain the above copyright notice,
--     * this list of conditions and the following disclaimer.
--     * Redistributions in binary form must reproduce the above copyright
--     * notice, this list of conditions and the following disclaimer in the
--     * documentation and/or other materials provided with the distribution.
--
--  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
--  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
--  ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
--  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
--  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
--  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
--  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
--  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
--  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
--  POSSIBILITY OF SUCH DAMAGE.
------------------------------------------------------------------------------

     
     
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 8 files have unknown license. Detailed output of
     licensecheck in /home/siddharth/Progammer/fedora-review/1022690-gela-
     asis/licensecheck.txt
     
     See above   
     
[!]: License file installed when any subpackage combination is installed.
     $ rpm -qpl gela-asis-0.3.1-1.fc20.x86_64.rpm | grep COPYING    <PASS>
       /usr/share/doc/gela-asis/COPYING
       
     $ rpm -qpl gela-asis-devel-0.3.1-1.fc20.x86_64.rpm | grep COPYING <FAIL>


[x]: %build honors applicable compiler flags or justifies otherwise.

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[?]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gela-asis-0.3.1-1.fc20.x86_64.rpm
          gela-asis-devel-0.3.1-1.fc20.x86_64.rpm
          gela-asis-0.3.1-1.fc20.src.rpm
gela-asis.x86_64: W: unstripped-binary-or-object /usr/lib64/gela-asis/libgela-asis.so
gela-asis.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gela-asis/libgela-asis.so ['/usr/lib/gcc/x86_64-redhat-linux/4.8.2/adalib/', '/usr/lib']
gela-asis-devel.x86_64: W: unstripped-binary-or-object /usr/lib64/gela-asis/libgela-asis.so.0.3.1
gela-asis-devel.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gela-asis/libgela-asis.so.0.3.1 ['/usr/lib/gcc/x86_64-redhat-linux/4.8.2/adalib/', '/usr/lib']
3 packages and 0 specfiles checked; 2 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint gela-asis gela-asis-devel
gela-asis.x86_64: W: unstripped-binary-or-object /usr/lib64/gela-asis/libgela-asis.so
gela-asis.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gela-asis/libgela-asis.so ['/usr/lib/gcc/x86_64-redhat-linux/4.8.2/adalib/', '/usr/lib']
gela-asis-devel.x86_64: W: unstripped-binary-or-object /usr/lib64/gela-asis/libgela-asis.so.0.3.1
gela-asis-devel.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/gela-asis/libgela-asis.so.0.3.1 ['/usr/lib/gcc/x86_64-redhat-linux/4.8.2/adalib/', '/usr/lib']
2 packages and 0 specfiles checked; 2 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
gela-asis (rpmlib, GLIBC filtered):
    /sbin/ldconfig

gela-asis-devel (rpmlib, GLIBC filtered):
    fedora-gnat-project-common
    gela-asis(x86-64)



Provides
--------
gela-asis:
    gela-asis
    gela-asis(x86-64)

gela-asis-devel:
    gela-asis-devel
    gela-asis-devel(x86-64)



Unversioned so-files
--------------------
gela-asis: /usr/lib64/gela-asis/libgela-asis.so
gela-asis: /usr/lib64/libgela-asis.so

Source checksums
----------------
http://www.ada-ru.org/files/gela-asis-0.3.1.tar.bz2 :
  CHECKSUM(SHA256) this package     : 6b1ec2aeeec9a17a9ae78b0c97b8cc063b361f932b0a12b8a268dc79ed88bc65
  CHECKSUM(SHA256) upstream package : 6b1ec2aeeec9a17a9ae78b0c97b8cc063b361f932b0a12b8a268dc79ed88bc65


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/bin/fedora-review -b 1022690
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 4 Pavel Zhukov 2013-11-27 16:01:16 EST
Updated: 

SRPM: http://landgraf.fedorapeople.org/packages/gela-asis/gela-asis-0.3.1-2.fc20.src.rpm
SPEC: http://landgraf.fedorapeople.org/packages/gela-asis/gela-asis.spec

Rpath removed as documented in the packaging policy. 

Files without licenses specified are from ada standards: http://www.sigada.org/WG/asiswg/ASISWG_Results.html (from the ISO/IEC 8652:1995 mostly).
Comment 5 Maxim Reznik 2013-11-28 05:47:39 EST
I'm going to fix license issues in a few days. The idea was to use 3-clause BSD license, but text is corrupted somehow.
Comment 6 Maxim Reznik 2013-12-01 05:47:54 EST
I've uploaded new version with fixed license notes.

http://www.ada-ru.org/files/gela-asis-0.3.2.tar.bz2
Comment 8 Björn Persson 2013-12-11 15:09:33 EST
This looks like a very interesting project, but I had trouble finding its website. I didn't find anything about either Gela or ASIS on http://www.ada-ru.org/. Eventually I found http://gela.ada-ru.org/gela_asis which looks like the front page for Gela ASIS. Why isn't that URL in the URL field?
Comment 10 Siddharth Sharma 2013-12-17 03:11:58 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Development (unversioned) .so files in -devel subpackage, if present.
  Note: Unversioned so-files directly in %_libdir.
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages
- ldconfig called in %post and %postun if required.
  Note: /sbin/ldconfig not called in gela-asis-devel
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Shared_Libraries


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[xq]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)"
------------------------------------------------------------------------------
--  Copyright (c) 2006-2013, Maxim Reznik
--  All rights reserved.
--
--  Redistribution and use in source and binary forms, with or without
--  modification, are permitted provided that the following conditions are met:
--
--     * Redistributions of source code must retain the above copyright notice,
--       this list of conditions and the following disclaimer.
--     * Redistributions in binary form must reproduce the above copyright
--       notice, this list of conditions and the following disclaimer in the
--       documentation and/or other materials provided with the distribution.
--     * Neither the name of the Maxim Reznik, IE nor the names of its
--       contributors may be used to endorse or promote products derived from
--       this software without specific prior written permission.
--
--  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
--  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
--  ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
--  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
--  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
--  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
--  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
--  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
--  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
--  POSSIBILITY OF SUCH DAMAGE.
------------------------------------------------------------------------------

[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gela-asis-0.3.2-2.fc20.x86_64.rpm
          gela-asis-devel-0.3.2-2.fc20.x86_64.rpm
          gela-asis-0.3.2-2.fc20.src.rpm
gela-asis.x86_64: W: unstripped-binary-or-object /usr/lib64/gela-asis/libgela-asis.so
gela-asis-devel.x86_64: W: unstripped-binary-or-object /usr/lib64/gela-asis/libgela-asis.so.0.3.2
3 packages and 0 specfiles checked; 0 errors, 2 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint gela-asis gela-asis-devel
gela-asis.x86_64: W: unstripped-binary-or-object /usr/lib64/gela-asis/libgela-asis.so
gela-asis-devel.x86_64: W: unstripped-binary-or-object /usr/lib64/gela-asis/libgela-asis.so.0.3.2
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
gela-asis (rpmlib, GLIBC filtered):
    /sbin/ldconfig

gela-asis-devel (rpmlib, GLIBC filtered):
    fedora-gnat-project-common
    gela-asis(x86-64)



Provides
--------
gela-asis:
    gela-asis
    gela-asis(x86-64)

gela-asis-devel:
    gela-asis-devel
    gela-asis-devel(x86-64)



Unversioned so-files
--------------------
gela-asis: /usr/lib64/gela-asis/libgela-asis.so
gela-asis: /usr/lib64/libgela-asis.so

Source checksums
----------------
http://www.ada-ru.org/files/gela-asis-0.3.2.tar.bz2 :
  CHECKSUM(SHA256) this package     : 01197e72e1ec18e6ae06894f1ffbddea59a5c0bb8c4bf3b7f9ee4fb57f025b4e
  CHECKSUM(SHA256) upstream package : 01197e72e1ec18e6ae06894f1ffbddea59a5c0bb8c4bf3b7f9ee4fb57f025b4e


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/bin/fedora-review -b 1022690
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG


----------------
Comment 11 Pavel Zhukov 2013-12-17 03:19:31 EST
New Package SCM Request
=======================
Package Name: gela-asis
Short Description: Platform independent ASIS implementation
Owners: landgraf
Branches: F20
InitialCC:
Comment 12 Gwyn Ciesla 2013-12-17 08:01:01 EST
Git done (by process-git-requests).
Comment 13 Fedora Update System 2014-03-14 12:47:55 EDT
gela-asis-0.3.2-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gela-asis-0.3.2-2.fc20
Comment 14 Fedora Update System 2014-03-15 11:02:30 EDT
gela-asis-0.3.2-2.fc20 has been pushed to the Fedora 20 testing repository.
Comment 15 Fedora Update System 2014-03-25 04:20:35 EDT
gela-asis-0.3.2-2.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.